对myRIO编程时需要安装RIO驱动吗

更新 Nov 28, 2018

适用于

Hardware

  • myRIO-1900
  • myRIO-1950

Driver

  • NI-RIO

问题详述

我要使用myRIO,所必须安装的软件是什么?我需要安装RIO驱动吗?

解决方案

为了对myRIO设备进行编程,至少需要以下软件:
  • NI LabVIEW Development System
  • NI LabVIEW Real-Time Module
  • NI LabVIEW myRIO Toolkit 
myRIO Toolkit附带必须的软件以实现对myRIO的识别和编程,所以不需要安装RIO驱动。 安装myRIO Toolkit后,RIO将出现在MAX里,如下图所示:

图1.安装myRIO工具包后NI MAX上的RIO组件

 
如果你想要对设备上的FPGA进行编程,需要安装LabVIEW FPGA。使用myRIO时,以下软件则为可选项:
  • LabVIEW FPGA
  • LabVIEW Control Design and Simulation Module
  • LabVIEW MathScript RT Module
  • LabVIEW Robotics Module for LabRIO
  • Compilation Tools for Vivado
  • VI Package Manager
  • Vision Acquisition Software
  • Vision Development Module

相关信息

如果你打算在一台目标计算机上部署可执行文件,并通过USB与myRIO通信,那么你需要在目标主机上安装最新版本的CompactRIO Runtime. 这使得终端计算机能识别myRIO并建立虚拟网络连接。 在创建安装软件并进行部署的时候,CompactRIO Runtime将出现在附加安装软件窗口下,并且是可以勾选的。 

图2.将CompactRIO Runtime作为附加安装程序包含在内


注意:使用C/C ++对myRIO编程时,不需要LabVIEW和LabVIEW RealTime。

本文是否有帮助?

无帮助